> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform ACV Calculation



## OpenAPI

````yaml put /client_reference/{client_reference_id}/appraisal/{appraisal_id}/acv
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference/{client_reference_id}/appraisal/{appraisal_id}/acv:
    put:
      tags:
        - default
      summary: Perform ACV Calculation
      parameters:
        - $ref: '#/components/parameters/client_reference_id'
        - $ref: '#/components/parameters/appraisal_id'
        - $ref: '#/components/parameters/client_id'
        - $ref: '#/components/parameters/session-id'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                actual_cash_value:
                  type: number
                  multipleOf: 0.01
                acv_incl_tax:
                  type: integer
                date_damage:
                  type: string
                  format: date
                  description: The date of the submitted damage for this product.
                date_claim:
                  type: string
                  format: date
                  description: >-
                    The date of the submitted claim for this product. This field
                    is deprecated and will be removed on 2025-11-01, use
                    `date_damage` instead.
                  deprecated: true
                date_purchase:
                  type: string
                  format: date
                  description: The date of purchase as reported by the claimant.
                depr_extra_one_year_no_receipt:
                  type: boolean
                homepage_client_category_id:
                  type: integer
                is_acv_cp_price_estimate_based:
                  type: boolean
                  deprecated: true
                  description: >-
                    Use 'is_compensation_based_on_claimed_amount' instead. This
                    field will be removed in a future version.
                is_compensation_based_on_claimed_amount:
                  type: boolean
                  description: >-
                    Base the ACV calculation on the value from `claimed_amount`
                    (Purchase Price / Repair) instead of Replacement Cost.
                item_quantity:
                  type: integer
                selected_client_category_id:
                  type: integer
                  description: >-
                    (Optional) The identifier for the category that the ACV
                    algorithm is to use for calculation. This value is client
                    specific. **Note**: This is not necessarily the same as or
                    related to the product category (client category id) used
                    for the Claimed Product search. Please ask your ValueChecker
                    support contact for more information.
                update_time:
                  type: string
                  format: date-time
              example:
                actual_cash_value: 221.2
                acv_incl_tax: 0
                date_damage: '2024-05-07'
                date_purchase: '2024-05-01'
                depr_extra_one_year_no_receipt: false
                homepage_client_category_id: 12922
                is_acv_cp_price_estimate_based: false
                is_compensation_based_on_claimed_amount: false
                item_quantity: 1
                selected_client_category_id: 12922
                update_time: '2024-05-07 10:36:44'
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Wed, 26 Jul 2023 15:12:13 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '0'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: 8b00105c-5665-42fd-b001-766c154b13fe
          content:
            application/json:
              schema:
                type: object
              example: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: The replacement cost value is needed to calculate the ACV.
                event_code: ERMPAV
                event_dict:
                  event_severity: ERROR
                  title: Missing parameter
                  description: The replacement_cost_value is needed to calculate the ACV.
        '401':
          $ref: '#/components/responses/401'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: Appraisal id 239055 was not found
                event_code: ERNFAP
                event_dict:
                  event_severity: ERROR
                  title: Wrong "appraisal_id" value
                  description: The appraisal_id "239055" was not found
components:
  parameters:
    client_reference_id:
      name: client_reference_id
      in: path
      schema:
        type: integer
      required: true
      description: The client reference identifier.
      example: '9337'
    appraisal_id:
      name: appraisal_id
      in: path
      schema:
        type: integer
      required: true
      description: The appraisal identifier.
      example: '97771'
    client_id:
      name: client_id
      in: query
      schema:
        type: integer
      example: '10'
      description: >-
        The client ID for the request. It's required if you have access to
        multiple clients with your API key. Otherwise, it's optional.
    session-id:
      name: session-id
      in: query
      schema:
        type: string
      example: a1b2c3d4e5f6g7h8i9j0
      description: Optional session identifier of the user.
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````